Skip to main content
GET
/
token
/
{address}
/
transactions
Get transactions
curl --request GET \
  --url https://api.example.com/token/{address}/transactions
[
  {
    "txHash": "0x27a51e3483885e399d5c9f60283c6bc379f24631a5c15f79009da96c0490d413",
    "tokenId": "0xA2c296171e9faCe580800AE82920CF1A2D974B53",
    "sender": "0x999999cf1046e68e36E1aA2E0E07105eDDD1f08E",
    "receiver": "0x999999cf1046e68e36E1aA2E0E07105eDDD1f08E",
    "value": "1050",
    "blockIndex": 5,
    "blockNumber": 7978342,
    "timestamp": "2021-05-12T12:00:00Z"
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.decentri.org/llms.txt

Use this file to discover all available pages before exploring further.

Query Parameters

take
string
required

Response

The transactions have been successfully retrieved

txHash
string
required

The hash of the transaction

Example:

"0x27a51e3483885e399d5c9f60283c6bc379f24631a5c15f79009da96c0490d413"

tokenId
string
required

The id of the token

Example:

"0xA2c296171e9faCe580800AE82920CF1A2D974B53"

sender
string
required

The address of the sender

Example:

"0x999999cf1046e68e36E1aA2E0E07105eDDD1f08E"

receiver
string
required

The address of the receiver

Example:

"0x999999cf1046e68e36E1aA2E0E07105eDDD1f08E"

value
string
required

The value of the transaction

Example:

"1050"

blockIndex
number
required

The index of the block

Example:

5

blockNumber
number
required

The number of the block

Example:

7978342

timestamp
string<date-time>
required

The timestamp of the transaction in ISO 8601 format.

Example:

"2021-05-12T12:00:00Z"